<?php

/**
 * @file
 * Contains \Drupal\tranc\TranslateExtension.
 */

namespace Drupal\tranc;

use Drupal\Core\Extension\ThemeHandlerInterface;

class TrancTwigExtension extends \Twig_Extension {

  /**
   * @var \Drupal\Core\Extension\ThemeHandlerInterface
   */
  protected $themeHandler;

  public function __construct(ThemeHandlerInterface $themeHandler) {
    $this->themeHandler = $themeHandler;
  }

  public function getNodeVisitors() {
    $default = $this->themeHandler->getTheme($this->themeHandler->getDefault());
    return [new TrancNodeVisitor(realpath($default->getPath()))];
  }

  public function getFilters() {
    return [
      new \Twig_SimpleFilter('tc', 'tc', ['is_safe' => ['html']]),
      new \Twig_SimpleFilter('transc', 'tc', ['is_safe' => ['html']]),
      new \Twig_SimpleFilter('ti', 't', ['is_safe' => ['html']]),
      new \Twig_SimpleFilter('transi', 't', ['is_safe' => ['html']]),
    ];
  }

}
